summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-30 23:37:16 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-31 16:35:37 +0000
commit3ad534419b773150d7b483914d241bbf554fbbc5 (patch)
tree27e447393a1efe11addfc9183b5686df61ae6b12
parenteefc54ceb5ebebce82cc219a74c117781149f1b2 (diff)
downloadtde-packaging-gentoo-3ad53441.tar.gz
tde-packaging-gentoo-3ad53441.zip
Live ebuilds: Add `Ispell` ebuild and support to `tdelibs`.
Also: Fix typos and sync with stable. Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--app-dicts/ispell-de/Manifest1
-rw-r--r--app-dicts/ispell-de/ispell-de-20161207.ebuild36
-rw-r--r--app-text/ispell/Manifest1
-rw-r--r--app-text/ispell/ispell-3.4.00.ebuild55
-rw-r--r--trinity-base/tdelibs/tdelibs-9999.ebuild27
-rw-r--r--trinity-base/tdesu/tdesu-9999.ebuild2
6 files changed, 114 insertions, 8 deletions
diff --git a/app-dicts/ispell-de/Manifest b/app-dicts/ispell-de/Manifest
new file mode 100644
index 00000000..0df8a506
--- /dev/null
+++ b/app-dicts/ispell-de/Manifest
@@ -0,0 +1 @@
+DIST igerman98-20161207.tar.bz2 470207 BLAKE2B 38adf9d9d6f6a5252eb9edd26831f7e808bb6568b18a3af1f89085e5fcb4137dd7c01628b5b0a36eb83f5bdec0fb8a3f97c751f628f5ce0823792ef19f57111d SHA512 62be84ac76fd2a0acc25439aa4c04339e54a1c7a2f619d76e0e01cfb53eeeca263c5cc335e315f9adeee9bab5cc392d4c473ca55cbed371c04c123d6fa2272aa
diff --git a/app-dicts/ispell-de/ispell-de-20161207.ebuild b/app-dicts/ispell-de/ispell-de-20161207.ebuild
new file mode 100644
index 00000000..bc3b0ec2
--- /dev/null
+++ b/app-dicts/ispell-de/ispell-de-20161207.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Authors and Martin V\"ath
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+RESTRICT="mirror"
+MY_P=igerman98-${PV}
+
+DESCRIPTION="German and Swiss dictionaries for ispell"
+HOMEPAGE="http://j3e.de/ispell/igerman98/"
+SRC_URI="http://j3e.de/ispell/igerman98/dict/${MY_P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="alpha amd64 hppa mips ppc sparc x86"
+
+BDEPEND="app-text/ispell:="
+RDEPEND="${BDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_compile() {
+ for lang in de_DE de_AT de_CH; do
+ emake ispell/${lang}{.aff,.hash}
+ done
+}
+
+src_install () {
+ insinto /usr/$(get_libdir)/ispell
+ for lang in de_DE de_AT de_CH; do
+ doins ispell/${lang}{.aff,.hash}
+ done
+
+ dodoc Documentation/*
+ rm -f -- "${ED}/usr/share/doc/${PF}/GPL"*
+}
diff --git a/app-text/ispell/Manifest b/app-text/ispell/Manifest
new file mode 100644
index 00000000..6e0cddeb
--- /dev/null
+++ b/app-text/ispell/Manifest
@@ -0,0 +1 @@
+DIST ispell-3.4.00.tar.gz 638770 BLAKE2B 889216df875ebaea617522a416ca7317c593d071bbe0ad3465bd23191ea9720a88530c2e7f27ddc9dae1ddd2742fa92f9451647e70eac98080ad58694e39a29f SHA512 790475e7e296554221679b59856f256889a7193ab39e7314174f92364eaf4b658cc7e6b4f4b7892fa8f3cf0c022d933fc0c995c5e414987cbdcde27723e3da31
diff --git a/app-text/ispell/ispell-3.4.00.ebuild b/app-text/ispell/ispell-3.4.00.ebuild
new file mode 100644
index 00000000..3f92dfa7
--- /dev/null
+++ b/app-text/ispell/ispell-3.4.00.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Authors and Martin V\"ath
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+RESTRICT="mirror"
+inherit toolchain-funcs
+
+DESCRIPTION="fast screen-oriented spelling checker"
+HOMEPAGE="http://fmg-www.cs.ucla.edu/geoff/ispell.html"
+SRC_URI="http://fmg-www.cs.ucla.edu/geoff/tars/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0/3.4.00"
+KEYWORDS="alpha amd64 ~arm hppa ~mips ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ sys-apps/miscfiles
+ sys-libs/ncurses:0=
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ sed -i \
+ -e 's:/usr/local/man:'"${EPREFIX}"'/usr/share/man:' \
+ -e 's:/usr/local/lib:'"${EPREFIX}"'/usr/'"$(get_libdir)/${PN}:" \
+ -e 's:/usr/local:'"${EPREFIX}"'/usr:' \
+ -- "${S}"/local.h.* || die
+ sed -i \
+ -e 's:\(^#define CC\).*:\1 "'"$(tc-getCC)"'":' \
+ -e 's:\(^#define CFLAGS\).*:\1 "'"-ltinfo ${CFLAGS}"'":' \
+ -- "${S}"/config.X || die
+ default
+}
+
+src_configure() {
+ # Prepare config.sh for installation phase to avoid twice rebuild
+ emake -j1 config.sh
+ sed \
+ -e "s:^\(BINDIR='\)${EPREFIX}\(/usr.*\):\1${ED}\2:" \
+ -e "s:^\(LIBDIR='\)${EPREFIX}\(/usr.*\):\1${ED}\2:" \
+ -e "s:^\(MAN1DIR='\)${EPREFIX}\(/usr.*\):\1${ED}\2:" \
+ -e "s:^\(MAN45DIR='\)${EPREFIX}\(/usr.*\):\1${ED}\2:" \
+ < config.sh > config.sh.install
+}
+
+src_compile() {
+ emake -j1
+}
+
+src_install() {
+ mv config.sh.install config.sh
+ emake -j1 install
+ dodoc CHANGES Contributors README WISHES
+}
diff --git a/trinity-base/tdelibs/tdelibs-9999.ebuild b/trinity-base/tdelibs/tdelibs-9999.ebuild
index 828ab9ca..9745d6c8 100644
--- a/trinity-base/tdelibs/tdelibs-9999.ebuild
+++ b/trinity-base/tdelibs/tdelibs-9999.ebuild
@@ -20,8 +20,10 @@ SLOT="${TRINITY_VER}"
# NOTE: Building without tdehwlib segfaults, but you can try and report.
IUSE+=" alsa avahi cups consolekit cryptsetup fam jpeg2k lua lzma udevil +svg +idn +shm elogind
- networkmanager openexr pcsc-lite aspell sudo tiff utempter elficons +ssl pkcs11 kernel_linux
- upower xcomposite +hwlib libressl +xrandr +malloc systemd old_udisks udisks +pcre debug"
+ networkmanager openexr pcsc-lite aspell ispell sudo tiff utempter elficons +ssl pkcs11 kernel_linux
+ upower xcomposite +hwlib libressl +xrandr +malloc systemd old_udisks udisks +pcre debug spell"
+
+REQUIRED_USE="spell? ( aspell ispell )"
MY_DEPEND="=dev-tqt/tqtinterface-${PV}
dev-libs/libxslt
@@ -47,8 +49,11 @@ MY_DEPEND="=dev-tqt/tqtinterface-${PV}
jpeg2k? ( media-libs/jasper )
lua? ( dev-lang/lua:* )
openexr? ( media-libs/openexr )
- aspell? ( app-text/aspell )
sudo? ( app-admin/sudo )
+ spell? (
+ aspell? ( app-text/aspell )
+ ispell? ( app-text/ispell )
+ )
tiff? ( media-libs/tiff:= )
utempter? ( sys-libs/libutempter )
lzma? ( app-arch/xz-utils )
@@ -176,30 +181,38 @@ EOF
pkg_postinst () {
if use sudo; then
+ echo
einfo "Remember that the sudo use flag sets only the default superuser command."
einfo "It can be overriden on a user-level by adding:"
einfo " [super-user-command]"
einfo " super-user-command=su"
- einfo "to the kdeglobals config file which is should be usually"
+ einfo "to the kdeglobals config file, which is usually"
einfo "located in the ~/.trinity/share/config/ directory."
+ echo
fi
if use malloc; then
- einfo "You have build TDE with it's own malloc implementation."
+ echo
+ einfo "You have build TDE with its own malloc implementation."
einfo "That might result in better memory use for you when using TDE."
einfo "But it could also result in a slightly different performance."
einfo "With Gentoo you are free to choose what works better for you."
einfo "If you remove the malloc USE flag, GLIBC's malloc will be used."
+ echo
fi
if ! use hwlib; then
for flag in consolekit networkmanager upower systemd elogind old_udisks udisks udevil pkcs11 pcsc-lite cryptsetup; do
use $flag && \
- ewarn "USE=\"$flag\" is passed, but it doesn't change anything due to" && \
- ewarn "$flag support in ${P} take effect only if the TDE hwlib is enabled."
+ echo
+ ewarn "USE=\"$flag\" is passed, but it doesn't change anything because" && \
+ ewarn "$flag support in ${P} takes effect only if the TDE hwlib is enabled."
+ echo
done
fi
if use hwlib; then
+ echo
einfo "Please add your user to the plugdev group to be able"
einfo "to use the features of the TDE hwlibdaemons like suspend."
+ echo
fi
}
diff --git a/trinity-base/tdesu/tdesu-9999.ebuild b/trinity-base/tdesu/tdesu-9999.ebuild
index 61b516bb..a5c0142b 100644
--- a/trinity-base/tdesu/tdesu-9999.ebuild
+++ b/trinity-base/tdesu/tdesu-9999.ebuild
@@ -28,7 +28,7 @@ pkg_postinst () {
einfo "It can be overriden on a user-level by adding:"
einfo " [super-user-command]"
einfo " super-user-command=su"
- einfo "to the kdeglobals config file which is should be usually"
+ einfo "to the kdeglobals config file, which is usually"
einfo "located in the ~/.trinity/share/config/ directory."
fi
}